Autor Tópico: Atualizando Lua 5.2 para 5.3[Resolvido]  (Lida 657 vezes)

Offline flamel

  • Usuário Ubuntu
  • *
  • Mensagens: 31
  • Fora Comunas!
    • Ver perfil
Atualizando Lua 5.2 para 5.3[Resolvido]
« Online: 27 de Setembro de 2017, 10:07 »
No gerenciador de aplicativos só tem a versão 5.2
gostaria de instalar a  versão mais recente.
Alguem sabe o script pra eu jogar no terminal? :)
« Última modificação: 05 de Outubro de 2017, 14:37 por flamel »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Atualizando Lua 5.2 para 5.3
« Resposta #1 Online: 28 de Setembro de 2017, 12:56 »
Lá no site do LUA

https://www.lua.org/start.html

há uma indicação para baixar o source e compilar, que é basicamente:

Código: [Selecionar]
wget http://www.lua.org/ftp/lua-5.3.4.tar.gz

tar zxf lua-5.3.4.tar.gz

cd lua-5.3.4

make linux test

Mas aqui, num teste usando um live-iso da versão 16.04.3 não deu certo a compilação, apresentou erro:

Citar
lua.c:82:31: fatal error: readline/readline.h: No such file or directory
compilation terminated.
<builtin>: recipe for target 'lua.o' failed
make[2]: *** [lua.o] Error 1
make[2]: Leaving directory '/home/ubuntu/Downloads/lua-5.3.4/src'
Makefile:110: recipe for target 'linux' failed
make[1]: *** [linux] Error 2
make[1]: Leaving directory '/home/ubuntu/Downloads/lua-5.3.4/src'
Makefile:55: recipe for target 'linux' failed
make: *** [linux] Error 2

Não fui pesquisar e examinar melhor se há alguma correção possível ou ainda tentar compilar com outro kernel para ver se vai.

Entretanto, dizem também haver os pré-compilados, binários já prontos:

Lua Binaries

http://lua-users.org/wiki/LuaBinaries

Se baixa do sourceforge:

http://luabinaries.sourceforge.net/download.html

Parece funcionar.
« Última modificação: 28 de Setembro de 2017, 12:58 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.526
    • Ver perfil
Re:Atualizando Lua 5.2 para 5.3
« Resposta #2 Online: 29 de Setembro de 2017, 02:26 »
Complementando, o jeito de consertar o erro na compilação:

lua.c:82:31: fatal error: readline/readline.h

é instalar antes:

Código: [Selecionar]
sudo apt-get install libreadline6 libreadline6-dev
então pode compilar que dá certo.




www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline flamel

  • Usuário Ubuntu
  • *
  • Mensagens: 31
  • Fora Comunas!
    • Ver perfil
Re:Atualizando Lua 5.2 para 5.3
« Resposta #3 Online: 05 de Outubro de 2017, 14:36 »
vlw